# Created by pyp2rpm-3.3.2
%global pypi_name trololio
%global mod_name Trololio

%global sum Trollius and asyncio compatibility library

%global desc \
Trololio provides a compatibility layer for Trollius and asyncio (aka Tulip). \
It addresses the differences listed in Trollius and Tulip: \
\
* Allows the use of Trollius' syntax with asyncio. \
* Provides missing objects and aliases for the others. \
* Synchronizes debug environment variables.

Name:           python-%{pypi_name}
Version:        1.0
Release:        %mkrel 12
Summary:        %{sum}
Group:          Development/Python
License:        MIT
URL:            https://github.com/ThinkChaos/Trololio/
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{mod_name}-%{version}.zip
# License file from source repository
Source1:        https://raw.githubusercontent.com/ThinkChaos/Trololio/25fe6b9a0d9e2dc69d59f1b5c6e6e56a6615c305/LICENSE#/Trololio-LICENSE
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description %{desc}


%package -n     python3-%{pypi_name}
Summary:        %{sum} for Python 3
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %{desc}

This package provides the Python 3 module.


%prep
%autosetup -n %{mod_name}-%{version}

# Install license into source tree
cp %{SOURCE1} LICENSE

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files trololio


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE



%changelog
* Sat Mar 01 2025 wally <wally> 1.0-12.mga10
+ Revision: 2156042
- rebuild for python3.13

* Sat Dec 16 2023 papoteur <papoteur> 1.0-11.mga10
+ Revision: 2018380
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.0-10.mga9
+ Revision: 1823171
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 1.0-9.mga9
+ Revision: 1781535
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.0-8.mga9
+ Revision: 1732640
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0-7.mga8
+ Revision: 1533568
- Mageia 8 Mass Rebuild

* Mon Sep 23 2019 tv <tv> 1.0-6.mga8
+ Revision: 1444704
- rebuild for python-3.8
- drop python2 subpkg

* Sat Jan 12 2019 tmb <tmb> 1.0-5.mga7
+ Revision: 1355277
- rebuild for python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 1.0-4.mga7
+ Revision: 1290437
- Mageia 7 Mass Rebuild

* Sat Sep 01 2018 ngompa <ngompa> 1.0-3.mga7
+ Revision: 1256077
- Adapt for Mageia
- imported package python-trololio


* Fri Jul 13 2018 Neal Gompa <ngompa13@gmail.com> - 1.0-2
- Fix dependency for python2-trololio for F27

* Mon Jul 09 2018 Neal Gompa <ngompa13@gmail.com> - 1.0-1
- Initial package
